gmi2email(1)

NAME
gmi2email - subscribe to gemlogs and read individual Gemini pages by e-mail

SYNOPSIS
gmi2email [OPTIONS] [URI or FILE] ...

DESCRIPTION
gmi2email fetches pages served using the Gemini protocol, converts them to e-mail messages, and then sends those messages. It is mainly useful for subscribing to Gemini logs ("gemlogs") by e-mail, like rss2email(1). gmi2email fetches, converts and sends all URIs and files containing text/gemini content specified on the command line.

  TYPICAL USAGE
1. Ensure you have a working MTA: gmi2email will use the sendmail(1) command to send mail.

2. Create ~/.config/mailscripts/gmi2email.config with content like this:

    from = rss@example.com
    to = your_email@example.com
    inline_images = 1

3. Create ~/.config/mailscripts/gmi2email.subscriptions with some feed URIs, e.g.

    gemini://example.com/my_cool_gemlog/
    gemini://example.com/other_cool_gemlog/feed.xml

4. Just once, execute

    % gmi2email --subscriptions --no-send

5. Periodically, execute

    % gmi2email --subscriptions

OPTIONS

--subscriptions[=FILE]
    In addition to mailing any URIs/files specified on the command line, check subscribed gemlogs for new posts and send those too. Useful in a crontab.

    We support the subscription mechanism described at <gemini://gemini.circumlunar.space/docs/companion/subscription.gmi> as well as Atom feeds.

    gmi2email looks for a file with a list of gemini:// URIs to check for new posts, one per line, in FILE, or if that is not set, in $XDG_CONFIG_HOME/mailscripts/gmi2email.subscriptions, or if XDG_CONFIG_HOME is not set, it falls back to trying to read ~/.config/mailscripts/gmi2email.subscriptions. Lines beginning with '#' are treated as comments and ignored.

--inline-images
    Download and inline any images included in the post.

--no-send
    Don't actually send any mail. Intended when you just added some new subscriptions and want to avoid receiving all the old posts you've already read.

--from=ADDRESS
    Set the From: address, overriding the configuration file.

--to=ADDRESS
    Set the To: address, overriding the configuration file.

CONFIGURATION
gmi2email tries to read configuration from the file $XDG_CONFIG_HOME/mailscripts/gmi2email.config, or if XDG_CONFIG_HOME is not set, it falls back to trying to read ~/.config/mailscripts/gmi2email.config.

The format is key = value, one per line. The following configuration keys are supported:

from
    Set the From: address.

to  Set the To: address.

inline_images
    Set to 1 to implicitly pass --inline-images.

SEE ALSO
<https://gemini.circumlunar.space/>

AUTHOR
gmi2email was written by Sean Whitton <spwhitton@spwhitton.name>.